Package Details: meson-cross-aarch64-linux-gnu 5-1

Git Clone URL: https://aur.archlinux.org/meson-cross-aarch64-linux-gnu.git (read-only)
Package Base: meson-cross-aarch64-linux-gnu
Description: Meson cross file for aarch64
Upstream URL: https://github.com/dcbaker/archlinux-meson-cross-aarch64-linux-gnu
Licenses: APL2
Submitter: dcbaker
Maintainer: dcbaker
Last Packager: dcbaker
Votes: 1
Popularity: 0.005733
First Submitted: 2018-01-04 17:39
Last Updated: 2019-01-02 18:04

Latest Comments

dcbaker commented on 2018-12-05 19:06

It feels really strange to me to not have the tools are required dependencies, if you just want the cross file without the dependencies it's on github and you can easily download it from there.

I've fixed the pkg-config entry and I'll update the pkg-build and fix .srcinfo

oxalin commented on 2018-12-02 05:52

Hi. I have a few suggestions to improve the building process.

First, as it is, I am unable to install this package directly. I had to clone the repository and launch makepkg. It seems your .SRCINFO is not up-to-date. Please, could you do "makepkg --printsrcinfo > .SRCINFO". This would be gladly appreciated.

Now, I would like to suggest keeping meson as the only package under "depends" and moving all the others under "optdepends". While I do understand that using the cross-compile file will need the listed tools, I don't think it should be mandatory. As an example: I was mostly interested in having a look at the cross-compile file and, to my surprise, I ended up to install the tools for an actual usage of the AARCH64 tools.

I also reported a bug in your git repository about a misslabel variable ("pkgconfig" instead of "pkg-config")

Thank you. Alexandre